import { sql } from 'drizzle-orm';
import { sqliteTable, text, integer } from 'drizzle-orm/sqlite-core';

export const user = sqliteTable('user', {
	id: integer('id').primaryKey({ autoIncrement: true }),
	// One handle, per person
	did: text('did_plc').unique().notNull(),
	handle: text('handle').unique().notNull(),
	createdAt: text('created_at').notNull().default(sql`(CURRENT_TIMESTAMP)`),
	// Eventually I want people to be able to update their handle, but that'll probably require implementing oauth
	updatedAt: text('updated_at').notNull().default(sql`(CURRENT_TIMESTAMP)`),
});
